## qutim 0.2.60-maemo-2

=== core/libqutim/CMakeLists.txt ===
# libqutim project for cmake
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( libqutim )
SET( QUTIM_VERSION 0.2.60.0 )

# Search for source and headers in source directory (non-recursive)
FILE( GLOB SRC "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp" )
FILE( GLOB HDR "${CMAKE_CURRENT_SOURCE_DIR}/*.h" )
FILE( GLOB SRC_GAME "${CMAKE_CURRENT_SOURCE_DIR}/game/*.cpp" )
FILE( GLOB HDR_GAME "${CMAKE_CURRENT_SOURCE_DIR}/game/*.h" )

LIST( APPEND SRC ${SRC_GAME} )
LIST( APPEND HDR ${HDR_GAME} )

# Add JDns sources
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_mdnsd.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_packet.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_sys.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/jdns_util.c"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_sock.cpp"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.cpp" )
QT4_WRAP_CPP( HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns.h"
		"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/qjdns_p.h" )

# Add K8JSON code
ADD_DEFINITIONS( -DK8JSON_INCLUDE_GENERATOR -DK8JSON_INCLUDE_COMPLEX_GENERATOR )
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/k8json.cpp" )
# LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/k8json.h" )

# Add qtdwm code
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/qtdwm.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/qtdwm.h" )

# Add SlidingStackedWidget
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/slidingstackedwidget/slidingstackedwidget.h" )

# Add flowlayout code
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/flowlayout/flowlayout.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/flowlayout/flowlayout.h" )

# Add itemdelegate
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/itemdelegate/itemdelegate.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/itemdelegate/itemdelegate.h" )

# Add avatarfilter
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatarfilter.cpp" )
LIST( APPEND SRC "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatariconengine.cpp" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatarfilter.h" )
LIST( APPEND HDR "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/avatarfilter/avatariconengine_p.h" )

# MinGW special options
# Not sure if those applicable for linux
if(MINGW)
    ADD_DEFINITIONS( -DUNICODE -DQT_LARGEFILE_SUPPORT -DLIBQUTIM_LIBRARY -DQT_THREAD_SUPPORT )
    LIST( APPEND COMPILE_FLAGS "-mthreads" )
endif(MINGW)

# Require QT 4.6
SET( QT_MIN_VERSION "4.6.0" )

# Set QT modules
SET( QT_USE_QTNETWORK TRUE )
SET( QT_USE_QTGUI FALSE )

# Search for QT4
FIND_PACKAGE( Qt4 REQUIRED )

option(WITH_DOXYGEN "" OFF)

if(WITH_DOXYGEN)
    message("-- Checking for Doxygen...")
    find_package(Doxygen)
endif()

# Include QT4
INCLUDE( ${QT_USE_FILE} )

# Add include directories
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/../"
	"${CMAKE_CURRENT_SOURCE_DIR}/../sdk02/"
	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/k8json/"
	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/"
	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/"
	"${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qticonloader/"
)

# Generate moc files
QT4_WRAP_CPP( MOC_SRC ${HDR} )

# Add JDNS using separate cmake project
#ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/jdns/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/jdns/" )
# Add Aero theme integration for Windows Vista and later
# ADD_SUBDIRECTORY( "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/qtdwm/" "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/qtdwm/")

# This project will generate library
ADD_LIBRARY( libqutim SHARED ${SRC} ${MOC_SRC} ${HDR} )

#if( CMAKE_COMPILER_IS_GNUCXX )
#	set_target_properties( libqutim PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}" )
#endif( CMAKE_COMPILER_IS_GNUCXX )

file( MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/qutim" )
file( GLOB_RECURSE QUTIM_INCLUDE_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.h" )
foreach( header ${QUTIM_INCLUDE_HEADERS} )
    if( NOT ${header} MATCHES ".*_p\\.h" )
		if( NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}" )
			file( WRITE "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}"
		"#include \"${CMAKE_CURRENT_SOURCE_DIR}/${header}\"
	"
			)
		endif( NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/qutim/${header}" )
	LIST(APPEND QUTIM_INSTALL_HEADERS ${header})
    endif( NOT ${header} MATCHES ".*_p\\.h" )
endforeach( header )
set( QUTIM_LIBRARIES libqutim CACHE INTERNAL "" )
set( QUTIM_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}/include" CACHE INTERNAL "" )

# Set tagret properties
SET_TARGET_PROPERTIES ( libqutim PROPERTIES PREFIX "")

IF(APPLE)
	FIND_LIBRARY(CARBON_LIBRARY Carbon)
	FIND_LIBRARY(CORE_SERVICES_LIBRARY CoreServices )
	MARK_AS_ADVANCED (CARBON_LIBRARY
					 CORE_SERVICES_LIBRARY)
	LIST(APPEND EXTRA_LIBS ${CARBON_LIBRARY} ${APP_SERVICES_LIBRARY})
ENDIF (APPLE)

IF(WIN32)
	LIST(APPEND EXTRA_LIBS ws2_32)
ENDIF()


# Link with QT
TARGET_LINK_LIBRARIES( libqutim ${QT_LIBRARIES} ${EXTRA_LIBS})

install( TARGETS libqutim 
	RUNTIME DESTINATION bin
		COMPONENT Core
	LIBRARY DESTINATION lib
		COMPONENT Core
	ARCHIVE DESTINATION lib 
		COMPONENT CoreDevel
	BUNDLE DESTINATION library
)



if(DOXYGEN_FOUND)
    add_subdirectory(doc)
    set(DOC_TARGET "doc")
    configure_file(doc/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
    configure_file(doc/DoxygenLayout.xml.in ${CMAKE_CURRENT_BINARY_DIR}/DoxygenLayout.xml @ONLY)
    add_custom_target(${DOC_TARGET} ALL
        ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        COMMENT "Building documentation"
        SOURCE doc/Doxyfile.in doc/DoxygenLayout.xml)
    install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html ${CMAKE_CURRENT_BINARY_DIR}/doc/qch DESTINATION share/qutim/doc COMPONENT CoreDevel)
    add_dependencies(libqutim ${DOC_TARGET})
endif()

=== core/src/corelayers/authdialog/CMakeLists.txt ===
qutim_add_plugin( authdialog
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/authdialogimpl.h
	EXTENSION_CLASS Core::AuthDialogImpl
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Authorization dialog"
	DESCRIPTION "Simple authorization dialog"
)

=== protocols/jabber/3rdparty/gloox/src/CMakeLists.txt ===
file( GLOB gloox_SRCS *.cpp )

set(GLOOX_BUILD_TYPE "SHARED" CACHE DESCRIPTION "Gloox build type: static or dynamic")

add_library( gloox ${GLOOX_BUILD_TYPE} ${gloox_SRCS} )
if (GLOOX_BUILD_TYPE STREQUAL "STATIC" AND NOT WIN32)
	set_target_properties( gloox PROPERTIES COMPILE_FLAGS "-fPIC" )
endif()
target_link_libraries( gloox ${GLOOX_LIBS} )
## set_target_properties( gloox PROPERTIES SOVERSION 9 )
include_directories( ${gloox_SOURCE_DIR} )
add_definitions( -DGLOOX_EXPORTS -DDLL_EXPORT )

if(GLOOX_BUILD_TYPE STREQUAL "SHARED")
	install( TARGETS gloox
		RUNTIME DESTINATION bin
			COMPONENT Gloox
		LIBRARY DESTINATION lib
			COMPONENT Gloox
		ARCHIVE DESTINATION lib
			COMPONENT GlooxDevel
	)
endif()

=== protocols/jabber/3rdparty/gloox/src/tests/capabilities/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp ../../prep.cpp ../../stanzaextensionfactory.cpp
			../../gloox.cpp ../../base64.cpp ../../util.cpp ../../sha.cpp
                        ../../jid.cpp ../../iq.cpp ../../error.cpp ../../softwareversion.cpp
                        ../../dataform.cpp ../../dataformfieldcontainer.cpp ../../dataformreported.cpp
                        ../../dataformitem.cpp ../../dataformfield.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/dataformreported/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../dataformreported.cpp ../../tag.cpp
		../../dataform.cpp ../../gloox.cpp ../../dataformfieldcontainer.cpp ../../dataformfield.cpp ../../dataformitem.cpp
		../../util.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/jinglesession/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp ../../base64.cpp
			../../prep.cpp ../../gloox.cpp
			../../iq.cpp ../../util.cpp
			../../sha.cpp ../../error.cpp ../../jid.cpp
			../../jinglecontent.cpp ../../jingledtmf.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/jinglesessionjingle/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../stanza.cpp ../../jid.cpp ../../tag.cpp ../../prep.cpp
 		../../gloox.cpp ../../stanzaextensionfactory.cpp
		../../iq.cpp ../../util.cpp ../../sha.cpp ../../base64.cpp
		../../jinglecontent.cpp ../../error.cpp ../../jingledtmf.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/lastactivity/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../jid.cpp ../../tag.cpp
                        ../../logsink.cpp ../../prep.cpp ../../util.cpp
                        ../../gloox.cpp ../../iq.cpp ../../stanza.cpp
                        ../../error.cpp ../../dataformfieldcontainer.cpp
                        ../../dataform.cpp ../../dataformfield.cpp
                        ../../dataformitem.cpp ../../dataformreported.cpp
                        ../../softwareversion.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/nonsaslauth/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp ../../prep.cpp
			../../gloox.cpp ../../message.cpp ../../util.cpp ../../error.cpp ../../jid.cpp
			../../iq.cpp ../../base64.cpp ../../sha.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/privatexml/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../gloox.cpp ../../tag.cpp
                  ../../util.cpp ../../stanza.cpp ../../message.cpp
                  ../../jid.cpp ../../prep.cpp
                  ../../stanzaextensionfactory.cpp ../../iq.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/pubsubmanagerpubsub/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp
                        ../../gloox.cpp ../../iq.cpp ../../util.cpp
			../../error.cpp ../../jid.cpp ../../prep.cpp
			../../dataform.cpp ../../presence.cpp
                        ../../message.cpp ../../dataformfieldcontainer.cpp ../../dataformreported.cpp
			../../dataformitem.cpp ../../dataformfield.cpp
			../../softwareversion.cpp ../../stanzaextensionfactory.cpp
			../../pubsubitem.cpp ../../shim.cpp
			../../mutex.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/util/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../util.cpp ../../gloox.cpp )

include( ../CMakeLists_common_after.txt )

=== debian/changelog ===
qutim (0.2.60-maemo-2) fremantle; urgency=low

  * Initial release. Tech Preview.

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 26 Nov 2010 10:44:04 -0500

=== debian/control ===
Source: qutim
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev
Standards-Version: 3.7.2

Package: qutim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: qutIM - is powerful instant messenger
 qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
XSBC-Maemo-Display-Name: qutIM
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
 dFNvZnR3YXJlAFBhaW50Lk5FVCA/Pz8/Pz8gMy41LjJ5rpbCAAANpklEQVRo
 Q81ZCVSUV5bunqV75sx2es70TDyTaHAhsheCEkTZohnHTjrdneh0ojFJaxKX
 uICIsgkIggRQFBTHSNAQ6diuqEFFlGKHAgEB2UG2EtmhFjbFb773s8Rj26mC
 EM/UOd/5i+K9d7+7vHvve/9PfvKcP729vT8jHFSq3mNqleobfv/Nc6bww8SR
 sJWqtzdKo1bVEPf5dyzxbz9s1ecwmyQt1arerwb61N1ajQo1ja0oq2uBWt0L
 /u/Yc6AwcREk9reELXFqsE8zSPK4S9IRCaVw8k/Fr0OzUdnYhn6tulV4ZuIS
 fqQZJPM3xHLG+Vlae3iQxAurlAg5V4xlQZmYt1sBh7BqLAiuRExKI/o0kheC
 fyQ6+i9LEj8lljEsbtDaWg3Do7jmPnxO3cbrezMg81FgUWgVXjusxNKj7XA+
 3Ip3omvQ0t4Nhlc1587QX9oUjqTgfxDEafFbDwc0EMTzypvhG18Ae79UzPfP
 x8LPK+EcpcSS6DYsOdoxguh2LN5/D/GZTRiil7jGpimkpXspCvw58R6J32Ac
 Q2zO1KJ6eH19m8TTYOWbD3uGivOhZrx2pFUivISWH4FQpA12EUqsPVGDji7J
 C+Vc7+91S/6BI0aJryLhHIbKoKq3B+nFDdhyPBeL/dJh4a2AHUNFEHc+/IDk
 2/AaLS89n4Jj1AM4hNfiSr4SjwYkL7z7A+n95elc/JfEhyxAd4YHteii1W4V
 1OOzYzmw8ZbD2k+EShWchMUFcca4sLwuLAhtwI7Tteju7mH4qeRTrgBJ/yvh
 wlApYjpEFwVdyq4m8Vws8Bohvpih4niwkXHeQjyQLC82qfORdjhFd8LhSAcc
 DnfA8UgnnKM7+Hvb6JgHcIxUwjGsEtkVDzCgVQ1S1ltTosQo8R19WnX1gFYQ
 78bFrCp8dChTIm7hk4dFYVVwPNQEp8j7cIq6L5G2j2qDbdg9LNpXjEXuF7Dc
 LRard5/ER/5x+N2uE3BwiYOdfxYWhtXB7qASTlTGJrQO/hdqpATASh0vMtqk
 leDk/yTctGpVw2OGSktbJy5mVuG9cG5MjxTM882TsoqwuOMhWk9YkJCIhDdh
 sU8y1gfH4/T5S2hoaMBAfx8G+7UYIgb5vYeGSM/IhO/BOLzhdwVWAcWwj2So
 hZehvKFNhJGG8i0mrAAnGfSqev0Y43UP+zW439qJuJtlWB3BjbnzFkPlNvN4
 JRwO1JN88wh5xruAEy0/P+AOVnrH4ebNZAw/HIA+n3vV5fCNjMerHklYEFqP
 zy/X4mG/tJnD9FaAg/+J+FSrVitFOmxp7cCX10rwzudyyEhcJkKFm9OexB0i
 muBA8g4HxXMEjgwf66ByrPGJQUP1XYn348eP8ejRI52QBj8aROSxkzB3u4G3
 DlehVtnB9kLVIyJBLyU4MIhW7xIWj71eiuUByZLFLXczVEIqYL+/DvYRjX8R
 tuENeN3rIoqLCiQ+Q0NDE4JQdnhAiy3BJ2DqU8j24t5YSvXVS4E+jTpfFKFD
 CUWYvfmqlFXsQsqxOLyOlbKeChAHGvh8Bg40YkHQXXiGxUjkBwcHJwW6DApF
 Liy2JeD9LyrQTGP2aVRlNO4vdCqhVqsS6DKcy6iBuVc2i1A1FoUzi5D4Ipb6
 74Mdx9gGFODrP/6JHIbR198/KfQPDKC3pxuL1kdBFlCGy4omDPSpxF74VKcC
 HPQ2ta0UWq+OLsa8wAqmRxJnmtMFOyo6f3cOYr/6ekSBvr5JYYCKd3W0Y+G6
 CFgFVeHj4yXo6ekBa08K+f3L9yohBhCBopR/kVwDmV8hFobWME/X6gbbAAuP
 dGzyjcTw0AA0Gg0PKeoJY2hoENeuJ8FyEzPSviq8GlgEeXGzCCPhhWX6eOEF
 ZqCumqY2vBl2G1aBZcz11XpBNG2Wa0JxLTFR5B+JvEql0hti33S1t2LlJj+Y
 ul6H7b5KWO4pxdaTJaIyCwUS9CpsHBQqcnDQ+TLIfAthG1KlF2z2lsBw/Rks
 fncn0lJT8Hj4ITSs3CIEvg+9VFKk2lZlI7Z67YPBynBY+eRKMq33lsMx6DZy
 ypWiLjwkt/n6eMGSVbDv7r1WLA5QYMHeMrqzUgeqmIVoMa9MGKyKhuyNDYg4
 fAwN9bVMpYOSN7pZeUUbIp5SXPO3AWnTdiHx2yt4e507XnzDG+auibAJvDMu
 z8S7EEEXytHPMOJe+FqnAmIA+5A4LfsRzz+WwNy7ADbBFUT5MzGfxG388rDU
 +wqc3c/CbEM8pv02FC84rIf9is/g7rMXFxMuQdnUJPobaZPW1tZCniLHgYNR
 eHutG+a8vh7T3vSH6ZYLsPZVwCaobFzWPIbR0uA8VNS3MpTUSnrBVKcSHPQr
 nmH7Mu82051ZsA4spYXL/gzWQRVY4JOO46evQt3dDk1PJy4lJuO/Nh3ASyvC
 MW25N37huBl2v1uPpoY6dLa3YIPLLrxk81u87LQWL77ugmm/8sbM94/C3OVb
 WPGcvGCvkHV3XJYNvxt7KhB9vUryArkF6FRADGAYpQmXb44pxFyPvJGFn4I5
 94hrZCKG+7px6koavjybhO7ODlRXV2PJxgjM/sMJvMyY/vzgUXqgHhtcffAf
 Thth8Pv9mPN+NF75+Cta/RIsPdJg7X8b8wNLninH0r8Iy0NycZ8NJbuFWirx
 sk4lOOiD4UENLmTXSrFt6X8H1gEl47AKKJXcnZSSgYKiEpitPYYXP4jDxn3x
 6FMxrm9lwfDDGDh/5I/9+/dj2ZodeGGZO0mfgvn265CRtCU3q7VfAaz3FI+u
 O/b8Ts6IzGKYeeYgLqUa4naD3D7RR4Gf0QvlHV1dWHkgByaeeRREJUYxb08J
 HLyuofV+E768IMfLH56AyQ45jFxvIf5KBrrblHjH8yRmrT4Mw3fDMX3lAczd
 cBqWnhmw8i9k+ywMIggTQoFxfCfjSXnGnvn4/UGFlAjEaZBK/FwfJdYPsaWO
 vVEB050ZmOdXhHl0p4DMvxiveZxHN+N6X+w1zPhDPMzckmHuW4R3fM/gobYH
 wTFX8NKqL2C4Lk4KFZkn74NYIK3oTavRdcbW0/W0YLjKPDIYEXUQR1kq8D/E
 X+uqzjOobbXoUJcGpMGMB/V5dLkgIfO7A+dd59HT0YrQk1TgQ8bz9hvShrN2
 T4SyuRFxCamY/t4RGG+5DAuvLGne2PyR7xPD7B1Z2HQ8H91Mw2KPUgFLfbwQ
 Ipq8qMulmOOaCkvf2xJkvgWw5QGkvq4W56+nYxbj3WjzJbzlcwaObt+guKSE
 oZSG6auOwtg1ibcUuZxXSBSMrzG2lr5Pc55JLD3kSCtuZJNH06p69+ujgAUH
 t4j7TPvdcph45EK2Ox8WhNmuTJw4l4TerjYs3RYDs4+PozBfgdzCUtyrrUJY
 7EgImYwqINtNxTlvUvChTGL6Fjkir5RJ/RHb/zSdCogBvGyKE/2IX3whDLal
 0Jp5EubuzMWKgEvQdLfhakoObNeGY3twjHAvHvWr8NHuLzBtVSxMXK6yRc8Z
 nzc2X9+nMY32yq5c1olcuMWVomL0zEwPROmlAGNtEc/HDzNKGjHf4yaMdmWz
 QitgKpRwvYmQWDZwj7R4cF8JuTxVUkB84i8kwXh1BAw3JsBsZxrn5E4AChiR
 +Ew33lz4k/ipu8iregBeMgjLi2uXEOJFfRX4K2p7TVTCT49kcS/IYc68LGDi
 lQez7UlwOXQZ36bkIiXrNo6fTcbFpAwMazvohRjMWHcaJm4p43PG5j7rKfK9
 KTFrR6ZE3PdMOXIrWqT83zdyX3SO+G+9iD85SEwSd/tJ+XUwdkmC6a4sFpds
 CaZeCsziBjfanACLrRdh8Mk5yLaexweBZ2HnfoleSmYaZhYbHf+sp6lHNgzd
 M2FI4q/65SD4QgXu1Ir+R8WrGKkTPUMsJv5uwuTFBE78Z3HzLDrJFaFyGNIL
 ph5ZkiISSEDEqtEuesUjB0Y7szGbShmzfphys4/gifFPfJ/jloGZLmlw2puD
 wPPlfOHRLm3SQa26m7lGELeZFOmnJ3GhTewIcTatCjM/uwqTcWKC5JMYIfzd
 /8cUGBvD/1Exox0ZTAqpWBqUg/2XK6XNKc4i3ENayjpG2E4J8bFFuOAveWKr
 aGrpwJt7b8Fgy00Yu2dMCHNJepZrmlRTnPZkSV1mdVO7dIXCtcVt3P8SZjqr
 7GQ148J7RCmPvFyEGRsTacU0KpCuE0YcY7BNjlkuKVi+LxuHr1ZK1ybiEo03
 Dy3ilSvXNpwsL73nidRFoT2VDbzT976OmVuFF4QSz4ZQcM52OWayfvwmLAfH
 b1Sh+UEnQ4UHf5WqmdeYQVzzFb0JTMVACox8xNdIPnG5MNh4FUZuzEBPwZAh
 YrA1BYa0+Bsh2fgmvY7Eu9iIacQGbeYaHsT0qeAz4TUoWMZiMlBcrYTptsvM
 SLcw100u4RVa+6XPkqXfVrAN/ya9Fp1dPVI6ZB4XhxEvsZcmLHSqJzBm48Q9
 /rZjmZixIZG5PkXa1HO23cSaSAXOZPAIyd5dZBW2IqUk7Ub8+1TzmPR6JPNr
 vqkZSL9TjzmbEjB7axLWRClwNb9Belkn3ikwHVbwevmT/1fEn0ipP+UmTBO9
 +Z9SK5CouCcOGaLkDzG8Cvl9HfGPk7bQ85hIggt5VVIqihtfQYl7m1v87QPi
 x39NOlUKkuw0YolQhvj+C9ipEvrUOv8HhO7WofzYHNEAAAAASUVORK5CYII=
 ====

## qutim 0.2.60-maemo-3

=== debian/changelog ===
qutim (0.2.60-maemo-3) fremantle; urgency=low

  * Icons fixes

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 27 Nov 2010 02:18:42 -0500

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: qutIM - is powerful instant messenger
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 XSBC-Maemo-Display-Name: qutIM
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qutim
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY

## qutim 0.2.60-maemo-4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
if( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
endif(COMMAND cmake_policy )
project( meta-qutim )
set(QT_MIN_VERSION "4.6.0")
SET(CMAKE_INSTALL_PREFIX "/opt/qutim")
set( QUTIM_PATH "${CMAKE_CURRENT_SOURCE_DIR}/core" CACHE FILEPATH "Path to qutim sources")
set( QUTIM_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/core/libqutim/include" CACHE FILEPATH "Path to qutim headers")
set( QUTIM_LIBRARY libqutim CACHE FILEPATH "Path to qutim library")

set( QUTIM_ADDITIONAL_PATHS "protocols" "integrations" "plugins" )
set( QUTIM_ADDITIONAL_PATHS "${QUTIM_ADDITIONAL_PATHS}" CACHE INTERNAL "" FORCE )

add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/core/" "${CMAKE_CURRENT_BINARY_DIR}/core" )
add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/translations/" "${CMAKE_CURRENT_BINARY_DIR}/translations" )

# ADD_CUSTOM_TARGET(uninstall
#   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== plugins/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
if( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
endif(COMMAND cmake_policy )
project( Plugins )
set(QT_MIN_VERSION "4.6.0")

SET (QT_USE_QTDBUS true)

if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
	set(QUTIM_PATH "" CACHE FILEPATH "Path to qutim sources")
	set(QUTIM_BINARY_DIR "" CACHE FILEPATH "Path to qutim build directory")
	set(QUTIM_LIBRARY QUTIM_LIBRARY-NOTFOUND CACHE FILEPATH "Path to qutim library")
endif ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
if( QUTIM_BINARY_DIR )
	set( QUTIM_INCLUDE_DIR ${QUTIM_BINARY_DIR}/libqutim/include )
	set( QUTIM_LIBRARY_DIR ${QUTIM_BINARY_DIR}/libqutim/ )
endif( QUTIM_BINARY_DIR )

LIST (APPEND CMAKE_MODULE_PATH "cmake")
LIST (APPEND CMAKE_MODULE_PATH "${QUTIM_PATH}/cmake")

INCLUDE (MacroEnsureVersion)
find_package(Qt4 COMPONENTS QtCore QtGui)
find_package(QutIM REQUIRED)

file( GLOB PLUGINS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/*" )

foreach( PLUGIN ${PLUGINS} )
	if( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
		string( TOUPPER ${PLUGIN} PLUGIN_NAME)
		option( ${PLUGIN_NAME} "" ON )
		if( ${PLUGIN_NAME} )
			message( "+ plugin '${PLUGIN_NAME}' added to build" )
			add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" "${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN}" ) 
		else( ${PLUGIN_NAME} )
			message( "- plugin '${PLUGIN_NAME}' will be skipped" )
		endif( ${PLUGIN_NAME} )
	endif( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
endforeach( PLUGIN )

=== plugins/dbusnotifications/CMakeLists.txt ===
FIND_PACKAGE( Qt4 COMPONENTS QtDBus)
if(NOT QT_QTDBUS_FOUND)
	message(STATUS "Cannot build DBusNotifications")
	return()
endif()

# org.freedesktop.Notifications
qt4_add_dbus_interface(DBUS_SRC
	org.freedesktop.Notifications.xml
	notification
)

qutim_add_plugin(dbusnotifications ${DBUS_SRC}
	DISPLAY_NAME "Dbus notifications"
	DESCRIPTION "Notification system, based on Freedesktop"
	LINK_LIBRARIES ${QT_QTDBUS_LIBRARY}
)

=== debian/changelog ===
qutim (0.2.60-maemo-4) fremantle; urgency=low

  * Added Vkontakte Wall plugin
    Vibration Fixed
    Delete some unused icons
    and more..

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 29 Nov 2010 06:16:41 -0500

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,11 @@
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 XSBC-Maemo-Display-Name: qutIM
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qutim
+XB-Maemo-Upgrade-Description:
+ Added Vkontakte Wall plugin
+ Vibration Fixed
+ Delete some unused icons
+ and more..
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY

## qutim 0.2.60-maemo-5

=== core/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6 FATAL_ERROR)
IF (COMMAND cmake_policy)
	cmake_policy (SET CMP0003 NEW)
ENDIF (COMMAND cmake_policy)
PROJECT( qutim )
SET(QT_MIN_VERSION "4.6.0")

ADD_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

if( UNIX )
	if( BSD )
		SET( CMAKE_THREAD_LIBS -pthread )
		SET( CMAKE_USE_PTHREADS ON )
		SET( CMAKE_EXE_LINKER_FLAGS -pthread )
	endif( BSD )
endif( UNIX )

SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
SET (CMAKE_BUILD_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
SET (QT_USE_QTNETWORK true)
SET (QT_USE_QTXML true)
SET (QT_USE_QTSCRIPT true)

SET (QUTIM_PLUGINS_DEST "lib/qutim/")
FIND_PACKAGE (Qt4 REQUIRED)

INCLUDE(CPackOptions.cmake.in)
INCLUDE(UseQt4)
INCLUDE(MacroEnsureVersion)
INCLUDE(QutIMMacros)

#simple hack for include dirs
macro(LIST_SUBDIRECTORIES retval curdir)
	file(GLOB sub-dir RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${curdir}/*)
	set(list_of_dirs "")
	foreach(dir ${sub-dir})
		#TODO fix IS DIRECTORY macro
		if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir})
			message(STATUS "Found 3rdparty dir: ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir}")
		endif()
	endforeach()
	set(${retval} ${sub-dir})
endmacro()

LIST_SUBDIRECTORIES(3RDPARTY_INCLUDE_DIRS "3rdparty")

#Include X11, spike for freebsd
FIND_PACKAGE(X11 REQUIRED)

INCLUDE_DIRECTORIES (${QT_QTGUI_INCLUDE_DIR}
	${QT_QTCORE_INCLUDE_DIR}
	${QT_QTXML_INCLUDE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${3RDPARTY_INCLUDE_DIRS}
	${X11_INCLUDE_DIR}
	.
		src
		include
	)

if( WIN32 )
	list(APPEND QUTIM_LIBS secur32 )
endif( WIN32 )

file( GLOB HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h" )
file( GLOB SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp" )
file( GLOB SOURCES_MM RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.mm" )
list( APPEND SOURCE SOURCE_MM} )
file( GLOB FORMS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.ui" )
list( APPEND SOURCES "main.cpp" )

SET (RESOURCES
	qutim.qrc
	)

#TODO fix in future
if (MINGW)
	find_program( MINGW_WINDRES NAMES "mingw32-windres" "windres" )
	execute_process( COMMAND "${MINGW_WINDRES}"
		"-i" "${CMAKE_CURRENT_SOURCE_DIR}/qutim.rc" "-o" "${CMAKE_CURRENT_BINARY_DIR}/qutim_res.o" )
	LIST (APPEND SOURCES qutim_res.o)
else(MINGW)
	LIST (APPEND SOURCES qutim.rc)
endif(MINGW)

add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/libqutim/" "${CMAKE_CURRENT_BINARY_DIR}/libqutim")

find_package( QutIM REQUIRED )
include_directories( ${QUTIM_INCLUDE_DIR} )

REMOVE_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

set( QUTIM_PATH ${CMAKE_CURRENT_SOURCE_DIR} CACHE FILEPATH "Path to qutim sources")
set( QUTIM_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR} CACHE FILEPATH "Path to qutim build directory")
option( QUTIM_COPY_PLUGINS_TO_BINARY_DIR "Copy plugins to qutim build directory" OFF )
set( QUTIM_LIBRARIES libqutim )

QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCC ${RESOURCES})

# For Apple set the icns file containing icons
IF(APPLE)
  # set how it shows up in the Info.plist file
  SET(MACOSX_BUNDLE_ICON_FILE qutim.icns)
  # set where in the bundle to put the icns file
  SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
  # include the icns file in the target
  SET(SOURCES ${SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns)
ENDIF(APPLE)

set( QUTIM_ADDITIONAL_SOURCES "" CACHE INTERNAL "" FORCE )
set( QUTIM_ADDITIONAL_LIBRARIES "" CACHE INTERNAL "" FORCE )
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/corelayers/" "${CMAKE_CURRENT_BINARY_DIR}/src/corelayers")
foreach( additional_path ${QUTIM_ADDITIONAL_PATHS} )
    add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/../${additional_path}/" "${CMAKE_CURRENT_BINARY_DIR}/../${additional_path}" )
endforeach( additional_path ${QUTIM_ADDITIONAL_PATHS} )

QUTIM_ADD_OPTION(QUTIM_MOBILE_UI
	"User interface for mobile devices like Nokia 5800"
	"qutIM will be compiled with mobile ui"
	OFF
)
QUTIM_ADD_OPTION(QUTIM_SINGLE_PROFILE
	"Single profil by default" 
	"qutIM will be compiled without multiply profiles by default"
	ON
)
SET( QUTIM_GUI_TYPE "" CACHE STRING "qutIM GUI TYPE" )
IF( QUTIM_GUI_TYPE )
	MESSAGE(STATUS "qutIM will be compiled with ${QUTIM_GUI_TYPE} GUI type")
ENDIF()

ADD_EXECUTABLE (qutim
	${QUTIM_GUI_TYPE}
	${SOURCES}
	${HEADERS}
	${MOC_SRCS}
	${UIS_H}
	${RCC}
	${QUTIM_ADDITIONAL_SOURCES}
	)

if(MSVC)
	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} /W3")
	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} /W3 /WX /wd4065")
else()
	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -Wall  -Wnon-virtual-dtor")
	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -Wall -Wextra -Wnon-virtual-dtor")
	if(NOT WIN32)
		set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -fvisibility=hidden")
	endif(NOT WIN32)
endif()

set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -DQUTIM_CORE -DXDG_STATIC")
set_target_properties(qutim PROPERTIES COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS}")
set_target_properties(libqutim PROPERTIES COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS}")

TARGET_LINK_LIBRARIES (qutim
	${QT_LIBRARIES}
	${QUTIM_LIBS}
	${QUTIM_ADDITIONAL_LIBRARIES}
	libqutim
	)

if( LANGUAGE )
	LANGUAGE_UPDATE( core ${LANGUAGE} "${CMAKE_CURRENT_SOURCE_DIR}" )
endif( LANGUAGE )

FILE(GLOB CMAKE_MODULES "${CMAKE_CURRENT_SOURCE_DIR}/cmake/*.cmake")

FILE (GLOB DEV_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*.h")
FILE (GLOB DEV_HEADERS_EXCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*_p.h")
LIST(REMOVE_ITEM DEV_HEADERS ${DEV_HEADERS_EXCLUDE})

INSTALL(FILES ${CMAKE_MODULES}
	DESTINATION share/cmake/Modules
		COMPONENT CoreDevel
)
INSTALL(TARGETS qutim
	RUNTIME DESTINATION bin
		COMPONENT Core
	BUNDLE DESTINATION .
		COMPONENT Core
)

QUTIM_ADD_ARTWORK_DIR(share/qutim)

IF(NOT WIN32)
	INSTALL(DIRECTORY share/applications share/icons share/pixmaps
		DESTINATION /usr/share
			COMPONENT Core
	)
ENDIF()

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)
CPACK_ADD_COMPONENT(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#small simple hack for install Qt dlls and plugins
IF(WIN32)
	SET(QUTIM_REQUIED_DLL_DIR "" CACHE PATH "Path to Qt dll's and plugins. Note: you must add them yourself")
	FILE(GLOB dlls ${QUTIM_REQUIED_DLL_DIR}/*)
	FOREACH(QUTIM_DLL ${dlls})
		IF(IS_DIRECTORY ${QUTIM_DLL})
			INSTALL(DIRECTORY ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ELSEIF(${QUTIM_DLL} MATCHES ".\\.dll")
			INSTALL(FILES ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ENDIF()
	ENDFOREACH()
	LIST(APPEND CPACK_COMPONENTS_ALL Qt)
	CPACK_ADD_COMPONENT(Qt
		DISPLAY_NAME "Qt Libraries"
		DESCRIPTION ""
	)
ENDIF(WIN32)

#additional artwork sources
SET(QUTIM_ADDITIONAL_ART_PATH "" CACHE PATH "Path to additional artwork")
IF(NOT QUTIM_ADDITIONAL_ART_PATH STREQUAL "")
	QUTIM_ADD_ARTWORK_DIR(${QUTIM_ADDITIONAL_ART_PATH})
ENDIF()

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)
CPACK_ADD_COMPONENT(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#small simple hack for install Qt dlls and plugins
IF(WIN32)
	SET(QUTIM_REQUIED_DLL_DIR "" CACHE PATH "Path to Qt dll's and plugins. Note: you must add them yourself")
	FILE(GLOB dlls ${QUTIM_REQUIED_DLL_DIR}/*)
	FOREACH(QUTIM_DLL ${dlls})
		IF(IS_DIRECTORY ${QUTIM_DLL})
			INSTALL(DIRECTORY ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ELSEIF(${QUTIM_DLL} MATCHES ".\\.dll")
			INSTALL(FILES ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ENDIF()
	ENDFOREACH()
	LIST(APPEND CPACK_COMPONENTS_ALL Qt)
	CPACK_ADD_COMPONENT(Qt
		DISPLAY_NAME "Qt Libraries"
		DESCRIPTION ""
	)
ENDIF(WIN32)

=== plugins/yandexnarod/CMakeLists.txt ===
find_package(Qt4 COMPONENTS QtNetwork QtXml QtXmlPatterns QtWebkit)
SET (QT_USE_QTXMLPATTERNS true) 
qutim_add_plugin( yandexnarod
	DISPLAY_NAME "YandexNarod"
	DESCRIPTION "Send files via Yandex.Narod filehosting service"
)

=== core/src/corelayers/adiumchat/CMakeLists.txt ===
FIND_PACKAGE( Qt4 COMPONENTS QtWebkit)
SET (QT_USE_QTWEBKIT true)
include_directories(.
	chatlayer
	)

qutim_add_plugin(adiumchat
	SUBPLUGIN
	SOURCE_DIR chatlayer
	DISPLAY_NAME "Webkit chat layer"
	DESCRIPTION "Default qutIM chat implementation, based on Adium chat styles"
	LINK_LIBRARIES ${QT_QTWEBKIT}
	COMPILE_FLAGS "-DADIUMCHAT_LIBRARY"
)
qutim_add_plugin(stackedchatform
	EXTENSION
	EXTENSION_HEADER stackedchatform/stackedchatform.h
	EXTENSION_CLASS Core::AdiumChat::StackedChatForm
	DISPLAY_NAME "Mobile"
	SOURCE_DIR stackedchatform
	DESCRIPTION "Stacked chatform for mobile devices"
	DEPENDS adiumchat
	LINK_LIBRARIES adiumchat
)

qutim_add_plugin(webkitchat
	EXTENSION
	EXTENSION_HEADER webkitchat/webkitviewfactory.h
	EXTENSION_CLASS Core::AdiumChat::WebkitViewFactory
	DISPLAY_NAME "Adium"
	SOURCE_DIR webkitchat
	DESCRIPTION "Default qutIM chat implementation, based on Adium chat styles"
	DEPENDS adiumchat
	LINK_LIBRARIES ${QT_QTWEBKIT} adiumchat
)

=== core/src/corelayers/authdialog/CMakeLists.txt ===
qutim_add_plugin( authdialog
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/authdialogimpl.h
	SUBPLUGIN 
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Authorization dialog"
	DESCRIPTION "Simple authorization dialog"
)

=== core/src/corelayers/idledetector/CMakeLists.txt ===
IF (UNIX AND NOT APPLE AND NOT SYMBIAN)
	include( FindPkgConfig )
	pkg_check_modules (XSS xscrnsaver)
	IF( XSS_FOUND )
		ADD_DEFINITIONS( -DHAVE_XSS )
		FIND_LIBRARY( XSS_LIB NAMES Xss PATHS ${XSS_LIBDIR} )
	ELSE( XSS_FOUND )
		message(STATUS "Warning: libxss not found, idle detection won't be accurate")
	ENDIF( XSS_FOUND )
ENDIF (UNIX AND NOT APPLE AND NOT SYMBIAN)

qutim_add_plugin( idledetector
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/idle.h
	EXTENSION_CLASS Psi::Idle
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Idle detector"
	DESCRIPTION "Native idle detector, based on system api"
	LINK_LIBRARIES ${XSS_LIB}
	INCLUDE_DIRS ${XSS_INCLUDEDIR}
)

=== core/src/corelayers/multimediabackend/CMakeLists.txt ===
find_package( Qt4 COMPONENTS QtMultimedia)

if( NOT QT_QTMULTIMEDIA_FOUND )
	message( "QtMultimedia not found. Can't build multimediabackend" )
	return()
endif( NOT QT_QTMULTIMEDIA_FOUND )

qutim_add_plugin( multimediabackend
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/multimediasoundbackend.h
	EXTENSION_CLASS Core::MultimediaSoundBackend
	LINK_LIBRARIES ${QT_QTMULTIMEDIA_LIBRARY}
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Mulimedia engine"
	DESCRIPTION "Sound engine based on QtMultimedia"
	INCLUDE_DIRS ${QT_QTMULTIMEDIA_INCLUDE_DIR}
)

=== core/src/corelayers/softkeysactionbox/CMakeLists.txt ===
qutim_add_plugin( softkeysactionbox
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/softkeysactionbox.h
	EXTENSION_CLASS Core::SoftkeysActionBoxModule,qutim_sdk_0_3::StartupModule
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "SoftkeysActionBox"
	DESCRIPTION "Actionbox module for mobile devices with softkeys support"
)

=== protocols/jabber/3rdparty/gloox/src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	set_target_properties( gloox PROPERTIES COMPILE_FLAGS "-fPIC" )
 endif()
 target_link_libraries( gloox ${GLOOX_LIBS} )
-## set_target_properties( gloox PROPERTIES SOVERSION 9 )
+set_target_properties( gloox PROPERTIES SOVERSION 9 )
 include_directories( ${gloox_SOURCE_DIR} )
 add_definitions( -DGLOOX_EXPORTS -DDLL_EXPORT )

=== debian/changelog ===
qutim (0.2.60-maemo-5) fremantle; urgency=low

  * Fixed profile creation page
    Fixed conference bookmarks
    Off some notification by default
    Fixed chat view
    and other

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 30 Nov 2010 13:02:38 -0500

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
 XSBC-Maemo-Display-Name: qutIM
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qutim
 XB-Maemo-Upgrade-Description:
- Added Vkontakte Wall plugin
- Vibration Fixed
- Delete some unused icons
- and more..
+ Fixed profile creation page
+ Fixed conference bookmarks
+ Off some notification by default
+ Fixed chat view
+ and other
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY

## qutim 0.2.60-maemo-6

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,8 @@
 	endif( BSD )
 endif( UNIX )
 
-SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
-SET (CMAKE_BUILD_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
+SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
+SET (CMAKE_BUILD_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
 SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 SET (QT_USE_QTNETWORK true)
@@ -47,7 +47,7 @@
 LIST_SUBDIRECTORIES(3RDPARTY_INCLUDE_DIRS "3rdparty")
 
 #Include X11, spike for freebsd
-FIND_PACKAGE(X11 REQUIRED)
+FIND_PACKAGE(X11)
 
 INCLUDE_DIRECTORIES (${QT_QTGUI_INCLUDE_DIR}
 	${QT_QTCORE_INCLUDE_DIR}
@@ -118,11 +118,12 @@
     add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/../${additional_path}/" "${CMAKE_CURRENT_BINARY_DIR}/../${additional_path}" )
 endforeach( additional_path ${QUTIM_ADDITIONAL_PATHS} )
 
-QUTIM_ADD_OPTION(QUTIM_MOBILE_UI
-	"User interface for mobile devices like Nokia 5800"
-	"qutIM will be compiled with mobile ui"
-	OFF
-)
+#QUTIM_ADD_OPTION(QUTIM_MOBILE_UI
+#	"User interface for mobile devices like Nokia 5800"
+#	"qutIM will be compiled with mobile ui"
+#	OFF
+#)
+
 QUTIM_ADD_OPTION(QUTIM_SINGLE_PROFILE
 	"Single profil by default" 
 	"qutIM will be compiled without multiply profiles by default"
@@ -147,8 +148,8 @@
 	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} /W3")
 	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} /W3 /WX /wd4065")
 else()
-	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -Wall  -Wnon-virtual-dtor")
-	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -Wall -Wextra -Wnon-virtual-dtor")
+	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -Wall -Wextra")
+	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -Wall -Wextra")
 	if(NOT WIN32)
 		set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -fvisibility=hidden")
 	endif(NOT WIN32)
@@ -190,7 +191,7 @@
 
 IF(NOT WIN32)
 	INSTALL(DIRECTORY share/applications share/icons share/pixmaps
-		DESTINATION /usr/share
+		DESTINATION share
 			COMPONENT Core
 	)
 ENDIF()
@@ -245,8 +246,8 @@
 
 #small simple hack for install Qt dlls and plugins
 IF(WIN32)
-	SET(QUTIM_REQUIED_DLL_DIR "" CACHE PATH "Path to Qt dll's and plugins. Note: you must add them yourself")
-	FILE(GLOB dlls ${QUTIM_REQUIED_DLL_DIR}/*)
+	SET(QUTIM_REQUIRED_DLL_DIR "" CACHE PATH "Path to Qt dll's and plugins. Note: you must add them yourself")
+	FILE(GLOB dlls ${QUTIM_REQUIRED_DLL_DIR}/*)
 	FOREACH(QUTIM_DLL ${dlls})
 		IF(IS_DIRECTORY ${QUTIM_DLL})
 			INSTALL(DIRECTORY ${QUTIM_DLL}

=== debian/changelog ===
qutim (0.2.60-maemo-6) fremantle; urgency=low

  * Hildonization
  * Add VkontaktePhotoalbum plugin
  * Optimizations
  * And many other changes..
 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 21 Dec 2010 20:33:05 +0300

## qutim 0.2.60-maemo-7

=== core/src/corelayers/adiumchat/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 FIND_PACKAGE( Qt4 COMPONENTS QtWebkit)
-SET (QT_USE_QTWEBKIT true)
+
 include_directories(.
 	chatlayer
 	)
@@ -9,9 +9,22 @@
 	SOURCE_DIR chatlayer
 	DISPLAY_NAME "Webkit chat layer"
 	DESCRIPTION "Default qutIM chat implementation, based on Adium chat styles"
-	LINK_LIBRARIES ${QT_QTWEBKIT}
+	LINK_LIBRARIES ${QT_QTWEBKIT_LIBRARY}
 	COMPILE_FLAGS "-DADIUMCHAT_LIBRARY"
+	INCLUDE_DIRS ${QT_QTWEBKIT_INCLUDE_DIR}
 )
+
+qutim_add_plugin(tabbedchatform
+	EXTENSION
+	EXTENSION_HEADER tabbedchatform/tabbedchatform.h
+	EXTENSION_CLASS Core::AdiumChat::TabbedChatForm
+	DISPLAY_NAME "Classic"
+	SOURCE_DIR tabbedchatform
+	DESCRIPTION "Default qutIM chatform implementation for adiumchat"
+	DEPENDS adiumchat
+	LINK_LIBRARIES adiumchat
+)
+
 qutim_add_plugin(stackedchatform
 	EXTENSION
 	EXTENSION_HEADER stackedchatform/stackedchatform.h
@@ -31,5 +44,5 @@
 	SOURCE_DIR webkitchat
 	DESCRIPTION "Default qutIM chat implementation, based on Adium chat styles"
 	DEPENDS adiumchat
-	LINK_LIBRARIES ${QT_QTWEBKIT} adiumchat
+	LINK_LIBRARIES adiumchat
 )

=== debian/changelog ===
qutim (0.2.60-maemo-7) fremantle; urgency=low

  * Some fixes 

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 22 Dec 2010 13:05:11 +0300

## qutim 0.2.60-maemo-8

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -191,7 +191,7 @@
 
 IF(NOT WIN32)
 	INSTALL(DIRECTORY share/applications share/icons share/pixmaps
-		DESTINATION share
+		DESTINATION /usr/share
 			COMPONENT Core
 	)
 ENDIF()

=== protocols/jabber/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED ( VERSION 2.6 )
IF (COMMAND cmake_policy)
	cmake_policy (SET CMP0011 NEW)
ENDIF (COMMAND cmake_policy)
PROJECT ( Jabber )
SET ( QT_MIN_VERSION "4.6.0" )

SET ( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/" )


if (GLOOX_EXTERNAL)
	SET( GLOOX_REQUIRED )
	include( FindGloox )
	if( GLOOX_FOUND )
		ADD_DEFINITIONS( -DHAVE_GLOOX )
		LIST(APPEND gloox ${GLOOX_LIBRARIES} )
		LIST(APPEND INCLUDE_DIRS ${GLOOX_INCLUDE_DIR})
	endif( GLOOX_FOUND )
else (GLOOX_EXTERNAL)
	add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/gloox/" "${CMAKE_CURRENT_BINARY_DIR}/3rdparty/gloox/")
	set ( gloox_src_dir "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/gloox/src/" )
	set ( gloox_include_dir "${CMAKE_CURRENT_BINARY_DIR}/3rdparty/gloox/include/gloox/" )
	file( MAKE_DIRECTORY ${gloox_include_dir} )
	file( GLOB GLOOX_HEADERS "${gloox_src_dir}*.h" )
	foreach( HEADERS_GENERATE ${GLOOX_HEADERS} )
		string( REPLACE ${gloox_src_dir} "" HEADER_FILE ${HEADERS_GENERATE} )
		file( RELATIVE_PATH HEADER_PATH ${gloox_include_dir} ${HEADERS_GENERATE} )
		if ( NOT EXISTS "${gloox_include_dir}${HEADER_FILE}" )
			file ( WRITE "${gloox_include_dir}${HEADER_FILE}" "#include \"${HEADER_PATH}\"" )
		endif ()
	endforeach( HEADERS_GENERATE )
	LIST (APPEND INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/3rdparty/gloox/include/")
endif(GLOOX_EXTERNAL)

SET( QT_USE_QTNETWORK TRUE )
set ( USE_TESTS OFF )

ADD_DEFINITIONS( -DGLOOX_IMPORTS )

qutim_add_plugin( jabber
	DISPLAY_NAME "Jabber protocol"
	DESCRIPTION "Implementation of jabber protocol based on gloox library"
	GROUP "Protocols"
	LINK_LIBRARIES gloox
	INCLUDE_DIRS "${INCLUDE_DIRS}"
)

=== core/src/corelayers/simpleactionbox/CMakeLists.txt ===
qutim_add_plugin( simpleactionbox
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/simpleactionbox.h
	EXTENSION_CLASS Core::SimpleActionBoxModule,qutim_sdk_0_3::StartupModule
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "SimpleActionBox"
	DESCRIPTION "Simple actionbox module"
)

=== protocols/jabber/3rdparty/gloox/src/tests/adhoccommandnote/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp ../../gloox.cpp ../../iq.cpp ../../util.cpp
			../../error.cpp ../../jid.cpp ../../prep.cpp
			../../dataform.cpp ../../dataformfieldcontainer.cpp ../../dataformreported.cpp
			../../dataformitem.cpp ../../dataformfield.cpp
			../../softwareversion.cpp ../../stanzaextensionfactory.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/asyncdns/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../dns.cpp ../../asyncdns.cpp
			../../mutex.cpp ../../thread.cpp ../../util.cpp
			../../gloox.cpp ../../logsink.cpp  )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/base64/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../base64.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/clientbase/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../clientbase.cpp ../../jid.cpp ../../connectiontcpclient.cpp ../../connectiontcpbase.cpp
			../../disco.cpp ../../parser.cpp ../../tag.cpp ../../stanza.cpp ../../base64.cpp
			../../md5.cpp ../../tlsgnutlsclient.cpp ../../tlsopensslclient.cpp
                        ../../tlsschannelbase.cpp ../../tlsschannelclient.cpp ../../tlsschannelserver.cpp
			../../tlsgnutlsserver.cpp
			../../tlsopensslbase.cpp ../../tlsopensslserver.cpp
			../../logsink.cpp ../../messagesession.cpp ../../prep.cpp ../../compressionzlib.cpp
			../../dns.cpp ../../stanzaextensionfactory.cpp
			../../gloox.cpp ../../tlsgnutlsbase.cpp ../../tlsdefault.cpp ../../dataform.cpp
			../../dataformfieldcontainer.cpp ../../dataformreported.cpp ../../dataformitem.cpp
			../../dataformfield.cpp
			../../tlsgnutlsclientanon.cpp ../../tlsgnutlsserveranon.cpp
                        ../../mutex.cpp
			../../iq.cpp ../../presence.cpp ../../message.cpp ../../subscription.cpp ../../util.cpp
			../../sha.cpp ../../error.cpp ../../eventdispatcher.cpp ../../softwareversion.cpp ../../connectiontls.cpp
			../../connectioncompression.cpp ../../compressiondefault.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/error/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../error.cpp ../../tag.cpp ../../gloox.cpp ../../util.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/gpgencrypted/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../gpgencrypted.cpp ../../tag.cpp ../../gloox.cpp ../../util.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/inbandbytestreamibb/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp ../../prep.cpp ../../stanzaextensionfactory.cpp
			../../gloox.cpp ../../message.cpp ../../util.cpp ../../error.cpp ../../jid.cpp
			../../iq.cpp ../../base64.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/iq/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../iq.cpp ../../stanza.cpp ../../jid.cpp ../../prep.cpp ../../gloox.cpp ../../util.cpp
                ../../sha.cpp ../../base64.cpp )

include( ../CMakeLists_common_after.txt )

=== protocols/jabber/3rdparty/gloox/src/tests/lastactivityquery/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../tag.cpp ../../stanza.cpp ../../prep.cpp ../../stanzaextensionfactory.cpp
                        ../../gloox.cpp ../../message.cpp ../../util.cpp ../../error.cpp ../../jid.cpp
                        ../../iq.cpp ../../base64.cpp ../../dataformfieldcontainer.cpp
                        ../../dataform.cpp ../../dataformfield.cpp
                        ../../dataformitem.cpp ../../dataformreported.cpp
                        ../../softwareversion.cpp )

include( ../CMakeLists_common_after.txt )

=== debian/changelog ===
qutim (0.2.60-maemo-8) fremantle; urgency=low

  * Fixes notification and chat

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 22 Dec 2010 20:46:58 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev
+Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libidn11-dev
 Standards-Version: 3.7.2
 
 Package: qutim
@@ -13,11 +13,10 @@
 XSBC-Maemo-Display-Name: qutIM
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qutim
 XB-Maemo-Upgrade-Description:
- Fixed profile creation page
- Fixed conference bookmarks
- Off some notification by default
- Fixed chat view
- and other
+ Hildonization
+ Add VkontaktePhotoalbum plugin
+ Optimizations
+ And many other changes..
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
